Results 1 to 4 of 4

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: 3gs 4.2.1 bb 05.15.04 Unlock Question

  1. #1
    Default 3gs 4.2.1 bb 05.15.04 Unlock Question
    Hello all.

    I have been a long time follower of this website and understand that at this time the only way for me to unlock my phone is to update the bb to the ipad bb. I really need the GPS, so for me this is not an option. I found a guy online on Craigslist who told me that he could unlock my phone without having to update to the ipad bb. When I asked how, he told me that its only possible as long as your BL is 5.08. I did some research and I thought that only a 3G can have BL 5.08 not 3GS. he told me that a 3GS has a BL of 5.08 too but it has to be a speacial downgrader (its not fuzzyband 3g). Can you guys tell me:

    1. Does this guy sound legit?
    2. How do I check which BL I have?

    Thanks for all of the work that you do.

  2. #2
    I have a 4.2.1 phone 3g with 5.14.04
    I would have to say be careful with this guy. Ive done a crap load of reading and searching and found that, the only way to fix this problem is with Ipad exploit. Remember Since you are losing the GPS function, I still believe you can use Google maps. Which is probably just as good. I would double check though. I'm no modder so lets wait for what the others have to say.

    Also, I would wait because if he screws up your phone, he has no obligation to fix it and can just leave.

  3. #3
    Thanks for your input. I will be moving overseas in July so I want to make sure that I have the phone carrier unlocked by then with full GPS functionality as I have some international navigation apps already downloaded. The phone is locked with AT&T right now. I guess I might jusy have to wait and see if there will be an unlock in the next 3 months. What do you guys think? Should I just sell it on ebay and use the funds towards the purchase of another iphone or wait the 3 months and see what happens?

  4. #4
    Default The guy is wrong; he mixed up 3G and 3GS
    The guy is wrong. He mixed up 3GS with 3G. That whole bootloader baseband downgrade thing is for a 3G not a 3GS, so ignore anything else he says because he's wrong. If he was right, believe me that info would be all over the place on this message board.

    05.15.04 baseband is unlockable.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •